Package com.smartgwt.client.tools

# Class EditInReifyConfig

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.tools.EditInReifyConfig

All Implemented Interfaces:
  `HasHandlers`

public class EditInReifyConfig extends DataClass
Configuration for `Reify.editInReify()`.

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EditInReifyConfig()`
  `EditInReifyConfig(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EditContext`
  `getEditContext()`
  The EditContext whose component tree should be saved to Reify.
  `String`
  `getMode()`
  How to load Reify ? passed through to `ReifyLoadConfig.mode`.
  `static EditInReifyConfig`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `String`
  `getProjectName()`
  Project to add the screen to.
  `String`
  `getScreenContents()`
  Raw screen XML content, as an alternative to providing an `editContext`.
  `String`
  `getScreenName()`
  Name for the screen in Reify storage.
  `Layout`
  `getTarget()`
  For inline mode ? passed through to `ReifyLoadConfig.target`.
  `EditInReifyConfig`
  `setEditContext(EditContext editContext)`
  The EditContext whose component tree should be saved to Reify.
  `EditInReifyConfig`
  `setMode(String mode)`
  How to load Reify ? passed through to `ReifyLoadConfig.mode`.
  `EditInReifyConfig`
  `setProjectName(String projectName)`
  Project to add the screen to.
  `EditInReifyConfig`
  `setScreenContents(String screenContents)`
  Raw screen XML content, as an alternative to providing an `editContext`.
  `EditInReifyConfig`
  `setScreenName(String screenName)`
  Name for the screen in Reify storage.
  `EditInReifyConfig`
  `setTarget(Layout target)`
  For inline mode ? passed through to `ReifyLoadConfig.target`.

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EditInReifyConfig

    public EditInReifyConfig()

  - ### EditInReifyConfig

    public EditInReifyConfig(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static EditInReifyConfig getOrCreateRef(JavaScriptObject jsObj)

  - ### setEditContext

    public EditInReifyConfig setEditContext(EditContext editContext)
    The EditContext whose component tree should be saved to Reify. Mutually exclusive with `screenContents`.
    Parameters:
      `editContext` - New editContext value. Default value is null
    Returns:
      `EditInReifyConfig` instance, for chaining setter calls

  - ### getEditContext

    public EditContext getEditContext()
    The EditContext whose component tree should be saved to Reify. Mutually exclusive with `screenContents`.
    Returns:
      Current editContext value. Default value is null

  - ### setMode

    public EditInReifyConfig setMode(String mode)
    How to load Reify ? passed through to `ReifyLoadConfig.mode`.
    Parameters:
      `mode` - New mode value. Default value is "window"
    Returns:
      `EditInReifyConfig` instance, for chaining setter calls

  - ### getMode

    public String getMode()
    How to load Reify ? passed through to `ReifyLoadConfig.mode`.
    Returns:
      Current mode value. Default value is "window"

  - ### setProjectName

    public EditInReifyConfig setProjectName(String projectName)
    Project to add the screen to. If the project does not exist, it is created. If omitted, a new project is created with an auto-assigned name.
    Parameters:
      `projectName` - New projectName value. Default value is null
    Returns:
      `EditInReifyConfig` instance, for chaining setter calls

  - ### getProjectName

    public String getProjectName()
    Project to add the screen to. If the project does not exist, it is created. If omitted, a new project is created with an auto-assigned name.
    Returns:
      Current projectName value. Default value is null

  - ### setScreenContents

    public EditInReifyConfig setScreenContents(String screenContents)
    Raw screen XML content, as an alternative to providing an `editContext`.
    Parameters:
      `screenContents` - New screenContents value. Default value is null
    Returns:
      `EditInReifyConfig` instance, for chaining setter calls

  - ### getScreenContents

    public String getScreenContents()
    Raw screen XML content, as an alternative to providing an `editContext`.
    Returns:
      Current screenContents value. Default value is null

  - ### setScreenName

    public EditInReifyConfig setScreenName(String screenName)
    Name for the screen in Reify storage. Required.
    Parameters:
      `screenName` - New screenName value. Default value is null
    Returns:
      `EditInReifyConfig` instance, for chaining setter calls

  - ### getScreenName

    public String getScreenName()
    Name for the screen in Reify storage. Required.
    Returns:
      Current screenName value. Default value is null

  - ### setTarget

    public EditInReifyConfig setTarget(Layout target)
    For inline mode ? passed through to `ReifyLoadConfig.target`.
    Parameters:
      `target` - New target value. Default value is null
    Returns:
      `EditInReifyConfig` instance, for chaining setter calls

  - ### getTarget

    public Layout getTarget()
    For inline mode ? passed through to `ReifyLoadConfig.target`.
    Returns:
      Current target value. Default value is null